org.eclipse.viatra.transformation.evm.specific.scheduler

## Class TimedScheduler

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.api.Scheduler
  - - org.eclipse.viatra.transformation.evm.specific.scheduler.TimedScheduler

-     public class TimedScheduler
      extends Scheduler

  A timed scheduler is similar to the `UpdateCompleteBasedScheduler` but it schedules in a periodic manner. One must define the interval between two consecutive scheduling calls.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TimedScheduler.TimedSchedulerFactory` Scheduler factory implementation for preparing timed schedulers.

    - ### Nested classes/interfaces inherited from class org.eclipse.viatra.transformation.evm.api.Scheduler

      `Scheduler.ISchedulerFactory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TimedScheduler(ScheduledExecution execution, long interval)` Creates a timed scheduler for the given Scheduled execution and interval.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()` Disposes of the scheduler by disposing its executor.

    - ### Methods inherited from class org.eclipse.viatra.transformation.evm.api.Scheduler

      `getExecution, schedule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimedScheduler

          protected TimedScheduler(ScheduledExecution execution,
                                   long interval)

      Creates a timed scheduler for the given Scheduled execution and interval.
      Parameters:
        `execution` -
        `interval` -

  - ### Method Detail

    - #### dispose

          public void dispose()

      Description copied from class: `Scheduler`
      Disposes of the scheduler by disposing its executor.
      Overrides:
        `dispose` in class `Scheduler`